 Configuration UpdateServicesConfig
{
    Import-DscResource -ModuleName UpdateServicesDsc
    Import-DscResource -ModuleName PSDesiredStateConfiguration


        WindowsFeature UpdateServices
        {
            Ensure = 'Present'
            Name = 'UpdateServices'
        }

        WindowsFeature UpdateServicesRSAT
        {
            Ensure = 'Present'
            Name = 'UpdateServices-RSAT'
            IncludeAllSubFeature =  $True
        }

        UpdateServicesServer 'wsusserver'
            {
                DependsOn = @(
                    '[WindowsFeature]UpdateServices'
                )
                Ensure = 'Present'
                ContentDir = 'C:\WSUS'
                
# 				Languages = @('*')      ### NO errors
#                Products = @('*')      ### NO errors
                
                Languages = @('en','fr','es')       ### Errors on the  Get-DscConfiguration
               Products = @(                ### Errors on the  Get-DscConfiguration
                    'Forefront Endpoint Protection 2010',
                    'Windows Server 2012 R2'
                )
                Classifications = @(
                    'E6CF1350-C01B-414D-A61F-263D14D133B4', #CriticalUpdates
                    'E0789628-CE08-4437-BE74-2495B842F43B', #DefinitionUpdates
                    '0FA1201D-4330-4FA8-8AE9-B877473B6441', #SecurityUpdates
                    '68C5B0A3-D1A6-4553-AE49-01D3A7827828', #ServicePacks
                    '28BC880E-0592-4CBF-8F95-C79B17911D5F' #UpdateRollUps
                )
                SynchronizeAutomatically = $true
                SynchronizeAutomaticallyTimeOfDay = '21:30:00'
                ClientTargetingMode = "Client"
           }
}


###  After defining above, we compile it
UpdateServicesConfig

### Start to Get, Test, Set it. All fine..
Start-DscConfiguration UpdateServicesConfig  -wait -verbose -force

###

### Try all the function
Get-DscConfiguration
Test-DscConfiguration
 
